{% extends 'static.html' %} {% block content %}
<title>Update Profile</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css"> {% if request.session.Role == 'Karyawan' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi/">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Admin' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Users
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/user/add-user">Create User</a>
                    <a class="dropdown-item" href="/user/list-user">List User</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dokter
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Grooming
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Layanan Master Data</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/create-appointmentdokter">Create Appointment</a>
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br><br>
<head>
    <title>Create Event</title>
    <script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
</head>
<div class="container">
    <!-- Outer Row -->
    <main id="main">
        <section>
            <div class="container-fluid text-center">
                <br>
                <h2 style="color:#000000;
                font-family: 'Poppins', sans-serif;
                font-size: 24px;
                font-weight: 600;">Profile</h2>
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <a href="/event" class="text-left">
                            <p> <i class="fa-solid fa-chevron-left"></i>&nbsp;&nbsp; Profile</p>
                        </a>
                    </div>
                </div>


                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-header" style="color:#080808;
                    font-family: 'Poppins', sans-serif;
                    font-size: 20px; font-weight: bold;">
                                Update Profile
                            </div>
                            <div class="card-body">
                                <form action="{% url 'update_profile_handler' user_id%}" method="GET">
                                    {% if error_message %}
                                    <div class="alert alert-danger">{{ error_message }}</div>
                                    {% endif %} {% csrf_token %}
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="username" class="col-sm-4">Username:</label>
                                            <div class="col-sm-8">
                                                <input type="text" id="username" name="username" value="{{ user.0.1 }}" class="form-control" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="first_name" class="col-sm-4">First Name:</label>
                                            <div class="col-sm-8">
                                                <input type="text" id="first_name" name="first_name" value="{{ user.0.2 }}" class="form-control" required>
                                            </div>
    
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="last_name" class="col-sm-4">Last Name:</label>
                                            <div class="col-sm-8">
                                                <input type="text" id="last_name" name="last_name" value="{{ user.0.3 }}" class="form-control" required>
                                            </div>
    
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="email" class="col-sm-4">Email:</label>
                                            <div class="col-sm-8">
                                                <input type="text" id="email" name="email" value="{{ user.0.5 }}" class="form-control" required>
                                            </div>
    
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="no_telepon" class="col-sm-4">Nomor Telepon:</label>
                                            <div class="col-sm-8">
                                                <input type="number" id="no_telepon" name="no_telepon" value="{{ user.0.6 }}" class="form-control" required>
                                            </div>
    
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label for="password" class="col-sm-4">Password:</label>
                                            <div class="col-sm-8">
                                                <input type="password" id="password" name="password" value="{{ user.0.7 }}" class="form-control" required>
                                                <span class="far fa-eye" id="togglePassword" style="position:absolute; right:30px;top:11px; cursor: pointer;"></span>
                                            </div>
    
                                        </div>
                                    </div>
                                    <div class="mt-5 text-center">
                                        <button class="btn btn-primary px-4" type="submit">Update</button>
                                    </div>
    
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>
</main>

<script>
    const togglePassword = document.querySelector('#togglePassword');
    const password = document.querySelector('#password');

    togglePassword.addEventListener('click', function(e) {
        // toggle the type attribute
        const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
        password.setAttribute('type', type);
        // toggle the eye slash icon
        this.classList.toggle('fa-eye-slash');
    });
</script>


{% endblock %}